Skip to main content
`Ctrl`+`K`

# DMPlexSetReferenceTree

set the reference tree for hierarchically non-conforming meshes.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetReferenceTree(DM dm, DM ref)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- ref - The reference tree `DMPLEX` object

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`,`DMPlexGetReferenceTree()`, `DMPlexCreateDefaultReferenceTree()`

## Level

intermediate

## Location

src/dm/impls/plex/plextree.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages